aim4.map.track

## Class WayPoint

- java.lang.Object
- - java.awt.geom.Point2D
  - - java.awt.geom.Point2D.Double
    - - aim4.map.track.WayPoint

- All Implemented Interfaces:
    Serializable, Cloneable

      public class WayPoint
      extends Point2D.Double

  A waypoint.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.geom.Point2D

      `Point2D.Double, Point2D.Float`

  - ### Field Summary

    - ### Fields inherited from class java.awt.geom.Point2D.Double

      `x, y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WayPoint(double x, double y)` Create a waypoint.
    `WayPoint(Point2D point)` Create a waypoint

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Get the ID of the waypoint
    `void` | `setId(int id)` Set the ID of the waypoint

    - ### Methods inherited from class java.awt.geom.Point2D.Double

      `getX, getY, setLocation, toString`

    - ### Methods inherited from class java.awt.geom.Point2D

      `clone, distance, distance, distance, distanceSq, distanceSq, distanceSq, equals, hashCode, setLocation`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WayPoint

          public WayPoint(double x,
                  double y)

      Create a waypoint.
      Parameters:
        `x` - the x-coordinate of the waypoint
        `y` - the y-coordinate of the waypoint

    - #### WayPoint

          public WayPoint(Point2D point)

      Create a waypoint
      Parameters:
        `point` - the point

  - ### Method Detail

    - #### getId

          public int getId()

      Get the ID of the waypoint
      Returns:
        the ID of the waypoint

    - #### setId

          public void setId(int id)

      Set the ID of the waypoint
      Parameters:
        `id` - the ID of the waypoint

Copyright © 2013. All rights reserved.